Groups

Update a group

Updates the name and/or description of an existing group.

At least one field must be provided. Only the fields included in the request body are updated
(partial update semantics).

Requires the GROUPMANAGEMENT security role.

patch
https://{your-bynder-domain}/api/1/groups/{groupId}

Path Parameters

groupIdstring(uuid)required

ID of the group to update (hyphens optional).

Body

application/json
descriptionstring | null

New description for the group. Pass null to clear it.

namestring

New name for the group. Must be unique within the account.

Response

application/json

Group updated successfully.

Group

descriptionstring | null
idstring(uuid)
namestring
user_countinteger

Number of members in the group.

patch/api/1/groups/{groupId}

Body

{}
 
application/json

Add users to a group

Adds one or more users to the specified group. Pass a single-element array to add one user.

Users that are already members of the group are silently ignored (the operation is idempotent).
An empty user_ids array is accepted and is a no-op.

Requires the GROUPMANAGEMENT security role.

post
https://{your-bynder-domain}/api/1/groups/{groupId}/add-users

Path Parameters

groupIdstring(uuid)required

ID of the group (hyphens optional).

Body

application/json

GroupMembersInput

user_idsarray[string](uuid)required

IDs of the users to add or remove. An empty list is a no-op.

Response

application/json

Users added successfully.

GroupMembersResult

user_countinteger

Updated number of members in the group after the operation.

post/api/1/groups/{groupId}/add-users

Body

{ "user_ids": [] }
 
application/json

Remove users from a group

Removes one or more users from the specified group. Pass a single-element array to remove one user.

Users not currently in the group are silently ignored (the operation is idempotent).
An empty user_ids array is accepted and is a no-op.

Requires the GROUPMANAGEMENT security role.

post
https://{your-bynder-domain}/api/1/groups/{groupId}/remove-users

Path Parameters

groupIdstring(uuid)required

ID of the group (hyphens optional).

Body

application/json

GroupMembersInput

user_idsarray[string](uuid)required

IDs of the users to add or remove. An empty list is a no-op.

Response

application/json

Users removed successfully.

GroupMembersResult

user_countinteger

Updated number of members in the group after the operation.

post/api/1/groups/{groupId}/remove-users

Body

{ "user_ids": [] }
 
application/json

Groups (Legacy)

Retrieve groups

Requires the GROUPMANAGEMENT security role.

get
https://{your-bynder-domain}/api/groups/list/

Query Parameters

search_termstring

Search on matching group names.

pageinteger

What page of results to return.

Default:1

limitinteger

Maximum results to return. If limit is not provided the first 20 results will be returned.

Default:20

sort_orderstring

Order of the returned list of groups.

Allowed values:ascdesc

Response

200 application/json

Successful response

idstring
namestring
get/api/groups/list/
 
200 application/json